Umstellung auf PHP5.4 für 1und1 Kunden mit JTL-Shop3

Von D. Hannappel vor mehr als 4 Jahren hinzugefügt

1und1 stellt laut 1und1-Hilfe-Center ab Herbst 2013 den Support von PHP 5.2 ein.

Für die Umstellung auf PHP5.4 in Verbindung mit Shop3 / Ioncube ist folgendes zu beachten:

  • Stellen Sie sicher, dass Sie mindestens JTL-Shop3.17 Build 3 nutzen. Diese Version ist für den Betrieb unter PHP 5.4 freigegeben. Bei kleineren Shop-Versionen kann es unter PHP5.4 zu Umlaut-Problemen und sporadischen IonCube-Crashes kommen.
  • Prüfen Sie in Ihrem 1und1 Control-Center, welche globale PHP-Version eingestellt ist. Sie finden diese Einstellung unter Domains & Webspace > Globale PHP-Version. Dort können Sie manuell auf PHP5.4 umstellen.
  • Bei einer Umstellung auf PHP 5.4 benötigen Sie einen neuen IonCube-Loader speziell für PHP 5.4. Laden Sie den neuen Loader herunter und ändern Sie in allen php.ini-Dateien in Ihrem Shop den Pfad zum neuen Loader. Diese Schritte werden in unserer Online-Dokumentation in Schritt 1 und Schritt 2 genauer erläutert.

Kommentare